Skip to main content

Get service provider configuration

GET 

/nevisidm/api/scim/v1/ServiceProviderConfig

Returns the SCIM service provider configuration, describing the server's capabilities and supported features.

Responses

Service provider configuration retrieved successfully

Schema
    schemas string[]required

    An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.

    documentationUri uri

    An HTTP-addressable URL pointing to the service provider's human-consumable help documentation.

    patch ScimSupportedTyperequired

    Description of the Scim Service Provided on this server.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    bulk ScimBulkDescriptionrequired

    A complex type that specifies bulk configuration options.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    maxOperations int32required

    An integer value specifying the maximum number of operations.

    maxPayloadSize int32required

    An integer value specifying the maximum payload size in bytes.

    filter ScimFilterDescriptionrequired

    A complex type that specifies FILTER configuration options.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    maxResults int32required

    An integer value specifying the maximum number of resources returned in a response.

    changePassword ScimSupportedTyperequired

    Description of the Scim Service Provided on this server.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    sort ScimSupportedTyperequired

    Description of the Scim Service Provided on this server.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    etag ScimSupportedTyperequired

    Description of the Scim Service Provided on this server.

    supported booleanrequired

    A Boolean value specifying whether or not the operation is supported.

    authenticationSchemes ScimAuthenticationScheme[]

    A complex type that specifies supported authentication scheme properties.

  • Array [
  • type stringrequired

    The authentication scheme. This specification defines the values "oauth", "oauth2", "oauthbearertoken", "httpbasic", and "httpdigest".

    name stringrequired

    The common authentication scheme name, e.g., HTTP Basic.

    description stringrequired

    A description of the authentication scheme.

    specUri uri

    An HTTP-addressable URL pointing to the authentication scheme's specification.

    documentationUri uri

    An HTTP-addressable URL pointing to the service provider's human-consumable help documentation.

  • ]
  • scimMeta ScimMetarequired

    SCIM defined complex to hold meta information.

    resourceType stringrequired

    The name of the resource type of the resource.

    created date-time

    The date and time that the resource was added to the service provider.

    lastModified date-time

    The most recent date and time that the details of this resource were updated at the service provider.

    location uri

    The URI of the resource being returned.

    version string

    The version of the resource being returned.

Loading...